Subject: Re: [RFC PATCH v1 2/2] remote set-head: set followRemoteHEAD to "warn" if "always"

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Dec 2024 11:22:06 +0900

Bence Ferdinandy <[email-masked]> writes:

> When running "remote set-head" manually it is unlikely, that the user
> would actually like to have "fetch" always update the remote/HEAD. On
> the contrary, it is more likely, that the user would expect remote/HEAD
> to stay the way they manually set it, and just forgot about having
> "followRemoteHEAD" set to "always".
>
> When "followRemoteHEAD" is set to "always" make running "remote
> set-head" change the config to "warn".

If we were to take [1/2] of this series, then another plausible
option is to set it to whatever their current value is, but that
would require an extra probing of the remote state, so "warn" is
probably a reasonable choice here.

Thanks.